Package ru.bitel.bgbilling.modules.voice.common.bean.report

# Class SessionDestinationReportItem

java.lang.Object
ru.bitel.bgbilling.modules.voice.common.bean.report.SessionAccountReportItem
ru.bitel.bgbilling.modules.voice.common.bean.report.SessionDestinationReportItem

public class SessionDestinationReportItem extends SessionAccountReportItem

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SessionDestinationReportItem()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDestination()`
  `SessionDestinationReportItem`
  `setCost(BigDecimal cost)`
  `SessionDestinationReportItem`
  `setCount(int count)`
  `SessionDestinationReportItem`
  `setDestination(String direction)`
  `SessionDestinationReportItem`
  `setDuration(long duration)`
  `SessionDestinationReportItem`
  `setTitle(String title)`

  ### Methods inherited from class ru.bitel.bgbilling.modules.voice.common.bean.report.SessionAccountReportItem

  `getCost, getCount, getDuration, getTitle`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SessionDestinationReportItem

    public SessionDestinationReportItem()

- ## Method Details

  - ### getDestination

    public String getDestination()

  - ### setCost

    public SessionDestinationReportItem setCost(BigDecimal cost)
    Overrides:
      `setCost` in class `SessionAccountReportItem`

  - ### setCount

    public SessionDestinationReportItem setCount(int count)
    Overrides:
      `setCount` in class `SessionAccountReportItem`

  - ### setDestination

    public SessionDestinationReportItem setDestination(String direction)

  - ### setDuration

    public SessionDestinationReportItem setDuration(long duration)
    Overrides:
      `setDuration` in class `SessionAccountReportItem`

  - ### setTitle

    public SessionDestinationReportItem setTitle(String title)
    Overrides:
      `setTitle` in class `SessionAccountReportItem`